Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 220300 - Improve navigation to methods and sub classes
Improve navigation to methods and sub classes
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Navigation
7.2
All All
: P3 (vote)
: 7.4
Assigned To: Tomas Zezula
issues@java
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 15:29 UTC by Egor Ushakov
Modified: 2013-05-30 10:22 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Egor Ushakov 2012-10-17 15:29:03 UTC
When I need to navigate to a particular method of a class like String.toString the way I do it now is:
- go to type "String"
- navigator quick search "toString"
That would be great if I could do it quicker...
Now I can not do that directly from:
* go to type - it does not accept methods or subclasses
* go to symbol - there are too many toString methods everywhere
* search field at the top - it just does not find "String.toString"
For me it would be great if go to type window had autocompletion and supported methods and subclasses. This way I could have entered String.toString in that window and went directly where I wanted.
Comment 1 Egor Ushakov 2012-10-21 06:55:35 UTC
another use case is "Utilities.toURI":
When I enter Utilities in the "go to type" window there are 6 of them!
Now it is impossible to guess which one has toUri method...
Comment 2 Tomas Zezula 2013-05-17 12:57:20 UTC
Fixed jet-main 333188641df1
Implemented as Vladimir suggested, a part of Go To Symbol.

You can use:
Utilities.toURI
Utiliti.toURI
Util*.toURI
*.parsing*.getFile

In general: case sensitive prefix and regexp is supported for simple name ang FQN.
If there is a single '.' like Utilities.toURI the string is split into simple name Utilities and element "toURI".
If there are more '.' like *.parsing*.getFile the string is split into FQN *.parsing*. and element getFile
Comment 3 Quality Engineering 2013-05-19 02:52:22 UTC
Integrated into 'main-golden', will be available in build *201305182300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/333188641df1
User: Tomas Zezula <tzezula@netbeans.org>
Log: #220300:Improve navigation to methods and sub classes
Comment 4 Egor Ushakov 2013-05-22 07:24:15 UTC
works like charm, thanks!
Comment 5 markiewb 2013-05-29 22:08:55 UTC
Nice. I will add it the Noteworthy page.
But you should note that it only works for the sources of the opened projects. 

It doesn't work symbols in the classpath. For example: "Collec.empty" should find f.e. "java.util.Collections.emptyList" but it doesn't. Is it a bug or should I file a RFE?
Comment 6 Tomas Zezula 2013-05-30 10:22:48 UTC
Goto symbol intentionally works only on sources (not jars) to remove the amount of symbols, for example "compareAndSet" never shows Atomic* as the package j.u.c does not come from project sources.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo